Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TimeBaseA.h File Reference

This graph shows which files directly or indirectly include this file:

## Functions
TAO_Export void | operator<<= (CORBA::Any &, const TimeBase::UtcT &)
TAO_Export void | operator<<= (CORBA::Any &, TimeBase::UtcT *)
TAO_Export CORBA::Boolean | operator>>= (const CORBA::Any &, TimeBase::UtcT *&)
TAO_Export CORBA::Boolean | operator>>= (const CORBA::Any &, const TimeBase::UtcT *&)
TAO_Export void | operator<<= (CORBA::Any &, const TimeBase::IntervalT &)
TAO_Export void | operator<<= (CORBA::Any &, TimeBase::IntervalT *)
TAO_Export CORBA::Boolean | operator>>= (const CORBA::Any &, TimeBase::IntervalT *&)
TAO_Export CORBA::Boolean | operator>>= (const CORBA::Any &, const TimeBase::IntervalT *&)

## Function Documentation

TAO_Export void operator<<= | ( | CORBA::Any & | ,
|  | TimeBase::IntervalT * |
| ) |

TAO_Export void operator<<= | ( | CORBA::Any & | ,
|  | const TimeBase::IntervalT & |
| ) |

TAO_Export void operator<<= | ( | CORBA::Any & | ,
|  | TimeBase::UtcT * |
| ) |

TAO_Export void operator<<= | ( | CORBA::Any & | ,
|  | const TimeBase::UtcT & |
| ) |

TAO_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | const TimeBase::IntervalT *& |
| ) |

TAO_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | TimeBase::IntervalT *& |
| ) |

TAO_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | const TimeBase::UtcT *& |
| ) |

TAO_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | TimeBase::UtcT *& |
| ) |